MFDBTOOL(1)

NAME
mfdbtool - Mailfromd database management tool

SYNOPSIS
mfdbtool [OPTION...]

DESCRIPTION
mfdbtool -- Mailfromd database management tool

    Database management commands

--compact
    compact the database

--delete
    delete given entries from the database

--expire
    delete expired entries from the database

--list
    list given database (default cache)

    Command modifiers

--[no-]all
    with --compact or --expire: apply the operation to all available databases

-d, --debug=LEVEL
    set debugging level

-f, --file=FILE
    DB file name to operate upon

-H, --format=FORMAT
    format of the DB file to operate upon

--[no-]ignore-failed-reads
    ignore failed reads while compacting the database

--predict=RATE
    predict when the user will be able to send next message

    Configuration modifiers

-e, --expire-interval=NUMBER
    set database expiration interval to NUMBER seconds

--state-directory=DIR
    set new program state directory

    Global debugging settings

--debug-level=LEVEL
    set Mailutils debugging level

--[no-]debug-line-info show source info with debugging messages

    Configuration handling

--config-file=FILE
    load this configuration file; implies --no-config

--config-lint
    check configuration file syntax and exit

--config-verbose
    verbosely log parsing of the configuration files

--no-site-config, --no-config
    do not load site-wide configuration file

--set=PARAM=VALUE
    set configuration parameter

    Informational options

--config-help
    show configuration file summary

--show-config-options
    show compilation options

-?, --help
    give this help list

--usage
    give a short usage message

-V, --version
    print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

AUTHOR
Written by Sergey Poznyakoff.

REPORTING BUGS
Report bugs to <bug-mailfromd@gnu.org.ua>. mailfromd home page: <http://www.gnu.org.ua/software/mailfromd>

COPYRIGHT
Copyright © 2005-2023 Sergey Poznyakoff License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for mfdbtool is maintained as a Texinfo manual. If the info and mfdbtool programs are properly installed at your site, the command

    info mfdbtool

should give you access to the complete manual.